Page MenuHomePhabricator

Remove symfony/process from SyntaxHighlight
Closed, ResolvedPublic

Description

SyntaxHighlight_GeSHi uses ProcessBuilder, which has been deprecated in symfony/process 3.4

https://github.com/symfony/process/blob/v4.0.0/CHANGELOG.md#340

It's then removed in 4.0

https://github.com/symfony/process/blob/v4.0.0/CHANGELOG.md#400

removed the ProcessBuilder class, use the Process class instead

We should update from ProcessBuilder to Process, then we can update to a newer version of symfony/process in the extension and mediawiki-vendor

Details

Related Gerrit Patches:
mediawiki/vendor : masterRemove symfony/process
mediawiki/extensions/SyntaxHighlight_GeSHi : masterDrop symfony/process dependency, use Shell\Command instead

Event Timeline

Reedy created this task.Dec 1 2017, 2:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2017, 2:08 AM
Legoktm claimed this task.Dec 8 2017, 9:11 PM
Legoktm added a subscriber: Legoktm.

I'm "fixing" this by getting rid of symfony/process.

Change 396476 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Drop symfony/process dependency, use Shell\Command instead

https://gerrit.wikimedia.org/r/396476

Reedy renamed this task from Update for symfony/process deprecations to Remove symfony/process.Dec 8 2017, 9:20 PM
Reedy added a project: MediaWiki-Vendor.

Change 396483 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vendor@master] Remove symfony/process

https://gerrit.wikimedia.org/r/396483

Reedy renamed this task from Remove symfony/process to Remove symfony/process from SyntaxHighlight.Dec 8 2017, 9:23 PM
Krinkle moved this task from Backlog to Accepted on the SyntaxHighlight board.Dec 22 2017, 3:12 AM

Change 396476 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Drop symfony/process dependency, use Shell\Command instead

https://gerrit.wikimedia.org/r/396476

Legoktm closed this task as Resolved.Jan 9 2018, 8:27 PM

Change 396483 merged by jenkins-bot:
[mediawiki/vendor@master] Remove symfony/process

https://gerrit.wikimedia.org/r/396483